Eclipse ADT意外的exception“无法运行程序”

我在笔记本电脑上安装了ADT Bundle。 我有Ubuntu 13.10,但是当我打开ADT时,我看到这个消息:

Unexpected exception 'Cannot run program "/home/.../Descargas/adt-bundle-linux-x86_64 20131030/sdk/platform-tools/adb": error=2, No existe el archivo o el directorio' while attempting to get adb version from '/home/.../Descargas/adt-bundle-linux-x86_64-20131030/sdk/platform-tools/adb' [2013-12-25 16:20:14 - adb] Unexpected exception 'Cannot run program "/home/.../Descargas/adt-bundle-linux-x86_64-20131030/sdk/platform-tools/adb": error=2, No existe el archivo o el directorio' while attempting to get adb version from '/home/.../Descargas/adt-bundle-linux-x86_64-20131030/sdk/platform-tools/adb' 

这是我第一次在android上安装和开发,所以我不知道该怎么做。 有人能帮我吗?

Solutions Collecting From Web of "Eclipse ADT意外的exception“无法运行程序”"

我面临同样的问题,但重新提取ADT文件后,此消息消失。

使用Ubunto 13.10,ADT文件名(adt-bundle-linux-x86_64-20131030.zip)

如果你在Ubuntu 13.10(可能还有其他版本> = 12.10),你可能需要安装

 sudo apt-get install lib32ncurses5 lib32stdc++6 zlib1g:i386 libc6-i386 

代替。 ia32-libs在13.10不再可用

我想你必须安装:IA32库

你可以测试这个命令: apt-get install ia32-libs

它在Android的“ 设置现有的IDE”页面中记录,单击Ubuntu故障排除链接。 对于Ubuntu 13.10(Saucy Salamander)和较新的,你需要添加这些软件包:

 sudo dpkg --add-architecture i386 sudo apt-get update sudo apt-get install libncurses5:i386 libstdc++6:i386 zlib1g:i386 

我正在使用Ubuntu 14.04 LTS 64位,下面的代码适用于我:

 sudo apt-get install lib32z1 lib32z1-dev